commit:     4336d84f1d5bcd97972f2011a5e489812f19fd84
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Wed Jul  7 08:07:34 2021 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Wed Jul  7 08:31:01 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4336d84f

dev-ruby/yajl-ruby: add ruby30; EAPI 7; fix extension

Package-Manager: Portage-3.0.20, Repoman-3.0.2
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/yajl-ruby/yajl-ruby-1.4.1-r1.ebuild | 39 ++++++++++++++++++++++++++++
 1 file changed, 39 insertions(+)

diff --git a/dev-ruby/yajl-ruby/yajl-ruby-1.4.1-r1.ebuild 
b/dev-ruby/yajl-ruby/yajl-ruby-1.4.1-r1.ebuild
new file mode 100644
index 00000000000..9c0004d6cd6
--- /dev/null
+++ b/dev-ruby/yajl-ruby/yajl-ruby-1.4.1-r1.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+USE_RUBY="ruby25 ruby26 ruby27 ruby30"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_TASK_DOC=""
+
+RUBY_FAKEGEM_EXTENSIONS=(ext/yajl/extconf.rb)
+RUBY_FAKEGEM_EXTENSION_LIBDIR="lib/yajl"
+
+inherit multilib ruby-fakegem
+
+DESCRIPTION="Ruby C bindings to the Yajl JSON stream-based parser library"
+HOMEPAGE="https://github.com/brianmario/yajl-ruby";
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux 
~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris 
~x86-solaris"
+IUSE=""
+
+RDEPEND="${RDEPEND} dev-libs/yajl"
+DEPEND="${DEPEND} dev-libs/yajl"
+
+each_ruby_prepare() {
+       # Make sure the right ruby interpreter is used
+       sed -e '/capture/ s:ruby:'${RUBY}':' -i 
spec/parsing/large_number_spec.rb || die
+}
+
+each_ruby_test() {
+       # Set RUBYLIB to pass search path on to additional interpreters that
+       # are started.
+       RUBYLIB=lib RSPEC_VERSION=3 ruby-ng_rspec || die
+}

Reply via email to